/*-- BREAKPOINTS --*/
/*-- FONTS --*/
@font-face {
  font-family: 'Sentient';
  src: url("../fonts/Sentient-Extralight.woff2") format("woff2"), url("../fonts/Sentient-Extralight.woff") format("woff"), url("../fonts/Sentient-Extralight.ttf") format("truetype");
  font-weight: 200;
  font-display: swap;
  font-style: normal;
}

@font-face {
  font-family: 'Sentient';
  src: url("../fonts/Sentient-ExtralightItalic.woff2") format("woff2"), url("../fonts/Sentient-ExtralightItalic.woff") format("woff"), url("../fonts/Sentient-ExtralightItalic.ttf") format("truetype");
  font-weight: 200;
  font-display: swap;
  font-style: italic;
}

@font-face {
  font-family: 'Sentient';
  src: url("../fonts/Sentient-Light.woff2") format("woff2"), url("../fonts/Sentient-Light.woff") format("woff"), url("../fonts/Sentient-Light.ttf") format("truetype");
  font-weight: 300;
  font-display: swap;
  font-style: normal;
}

@font-face {
  font-family: 'Sentient';
  src: url("../fonts/Sentient-LightItalic.woff2") format("woff2"), url("../fonts/Sentient-LightItalic.woff") format("woff"), url("../fonts/Sentient-LightItalic.ttf") format("truetype");
  font-weight: 300;
  font-display: swap;
  font-style: italic;
}

@font-face {
  font-family: 'Sentient';
  src: url("../fonts/Sentient-Regular.woff2") format("woff2"), url("../fonts/Sentient-Regular.woff") format("woff"), url("../fonts/Sentient-Regular.ttf") format("truetype");
  font-weight: 400;
  font-display: swap;
  font-style: normal;
}

@font-face {
  font-family: 'Sentient';
  src: url("../fonts/Sentient-Italic.woff2") format("woff2"), url("../fonts/Sentient-Italic.woff") format("woff"), url("../fonts/Sentient-Italic.ttf") format("truetype");
  font-weight: 400;
  font-display: swap;
  font-style: italic;
}

@font-face {
  font-family: 'Sentient';
  src: url("../fonts/Sentient-Medium.woff2") format("woff2"), url("../fonts/Sentient-Medium.woff") format("woff"), url("../fonts/Sentient-Medium.ttf") format("truetype");
  font-weight: 500;
  font-display: swap;
  font-style: normal;
}

@font-face {
  font-family: 'Sentient';
  src: url("../fonts/Sentient-MediumItalic.woff2") format("woff2"), url("../fonts/Sentient-MediumItalic.woff") format("woff"), url("../fonts/Sentient-MediumItalic.ttf") format("truetype");
  font-weight: 500;
  font-display: swap;
  font-style: italic;
}

@font-face {
  font-family: 'Sentient';
  src: url("../fonts/Sentient-Bold.woff2") format("woff2"), url("../fonts/Sentient-Bold.woff") format("woff"), url("../fonts/Sentient-Bold.ttf") format("truetype");
  font-weight: 700;
  font-display: swap;
  font-style: normal;
}

@font-face {
  font-family: 'Sentient';
  src: url("../fonts/Sentient-BoldItalic.woff2") format("woff2"), url("../fonts/Sentient-BoldItalic.woff") format("woff"), url("../fonts/Sentient-BoldItalic.ttf") format("truetype");
  font-weight: 700;
  font-display: swap;
  font-style: italic;
}

/*-- RESPONSIVE --*/
/*-- STYLES --*/
body {
  background: #0E0E0E;
  width: 100vw;
  height: 100vh;
  margin: 0;
  padding: 0;
  color: white;
}

main {
  width: 100vw;
  height: 100vh;
}

#waiting {
  display: flex;
  align-items: center;
  justify-content: center;
  background: #0E0E0E;
  width: 100vw;
  height: 100vh;
  margin: 0;
  padding: 0;
}

#waiting-content {
  max-width: 250px;
  margin: 0 30px;
}

#waiting-content-img video {
  width: 100%;
  height: auto;
}

#waiting-content-text {
  margin-top: 20px;
  font-family: 'Sentient', 'Times New Roman', Times, serif;
  font-weight: 100;
  font-size: 1.2rem;
  text-align: center;
  color: #EAEAEA;
}

#logo {
  display: flex;
  align-items: center;
  justify-content: center;
  background: #0E0E0E;
  opacity: 1;
  visibility: visible;
  position: fixed;
  z-index: 99;
  width: 100vw;
  height: 100vh;
  margin: 0;
  padding: 0;
  animation: logoFadeOut 0.8s ease forwards;
  animation-delay: 1.5s;
}

@keyframes logoFadeOut {
  to {
    opacity: 0;
    visibility: hidden;
  }
}

#logo-content {
  max-width: 250px;
  margin: 0 30px;
}

#logo-content video {
  width: 100%;
  height: auto;
}

#homepage {
  position: absolute;
  z-index: 1;
  width: 100vw;
}

#episodes {
  box-sizing: border-box;
  width: 100vw;
  max-width: 1200px;
  margin: 100px auto 0 auto;
}

#episodes-list {
  display: grid;
  box-sizing: border-box;
}

@media screen and (max-width: 574.98px) {
  #episodes-list {
    grid-template-columns: 1fr;
    column-gap: 35px;
    row-gap: 35px;
    padding-left: 40px;
    padding-right: 40px;
  }
}

@media screen and (min-width: 575px) and (max-width: 767.98px) {
  #episodes-list {
    grid-template-columns: 1fr;
    column-gap: 35px;
    row-gap: 35px;
    padding-left: 40px;
    padding-right: 40px;
  }
}

@media screen and (min-width: 768px) and (max-width: 991.98px) {
  #episodes-list {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 40px;
    row-gap: 40px;
    padding-left: 50px;
    padding-right: 50px;
  }
}

@media screen and (min-width: 992px) and (max-width: 1199.98px) {
  #episodes-list {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 40px;
    row-gap: 40px;
    padding-left: 50px;
    padding-right: 50px;
  }
}

@media screen and (min-width: 1200px) {
  #episodes-list {
    grid-template-columns: repeat(3, 1fr);
    column-gap: 40px;
    row-gap: 40px;
    padding-left: 50px;
    padding-right: 50px;
  }
}

.episode-item-content {
  transition: transform 0.3s ease;
}

.episode-item-content:hover {
  transform: rotate(2deg);
}

.episode-item-1 {
  transform: rotate(1deg);
}

.episode-item-2 {
  transform: rotate(-1.5deg);
}

.episode-item-3 {
  transform: rotate(1deg);
}

.episode-item-4 {
  transform: rotate(-1deg);
}

.episode-item-5 {
  transform: rotate(1.5deg);
}

.episode-item-6 {
  transform: rotate(-2deg);
}

.episode-item-content:hover .episode-item-visuel {
  background-color: rgba(255, 255, 255, 0.1);
  transition: 0.2s;
}

.episode-item-visuel {
  background-color: rgba(255, 255, 255, 0.07);
  aspect-ratio: 3 / 4;
  width: auto;
  transition: 0.2s;
}

.episode-item-visuel img {
  display: block;
  width: 100%;
  height: auto;
}

.article-hero {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  z-index: -99;
  width: 100vw;
  height: 100vh;
  background: #0E0E0E;
}

@keyframes shrinkHero {
  to {
    height: 50vh;
  }
}

.article-hero-img {
  max-width: 600px;
  margin: 0 60px;
}

.article-hero-img video {
  width: 100%;
  height: auto;
}

.article-body {
  position: absolute;
  z-index: 1;
  opacity: 0;
  box-sizing: border-box;
  margin-bottom: 100px;
  transform: translateY(100vh);
  animation: articleBodyReveal 0.8s ease forwards;
  animation-delay: 2s;
}

@media screen and (max-width: 574.98px) {
  .article-body {
    padding: 0 40px 100px 40px;
  }
}

@media screen and (min-width: 575px) and (max-width: 767.98px) {
  .article-body {
    padding: 0 40px 100px 40px;
  }
}

@media screen and (min-width: 768px) and (max-width: 991.98px) {
  .article-body {
    padding: 0 40px 100px 40px;
  }
}

@media screen and (min-width: 992px) and (max-width: 1199.98px) {
  .article-body {
    padding: 0 0 100px 0;
  }
}

@media screen and (min-width: 1200px) {
  .article-body {
    padding: 0 0 100px 0;
  }
}

@keyframes articleBodyReveal {
  to {
    opacity: 1;
    transform: translateY(90vh);
  }
}

.article-comp {
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr;
  grid-gap: 10px;
}

.article-comp-column {
  grid-row-start: 1;
  grid-row-end: 1;
  font-family: 'Sentient', 'Times New Roman', Times, serif;
  font-weight: 300;
  font-size: 1rem;
  text-align: left;
}

@media screen and (max-width: 574.98px) {
  .article-comp-column {
    grid-column-start: 1;
    grid-column-end: 13;
  }
}

@media screen and (min-width: 575px) and (max-width: 767.98px) {
  .article-comp-column {
    grid-column-start: 1;
    grid-column-end: 13;
  }
}

@media screen and (min-width: 768px) and (max-width: 991.98px) {
  .article-comp-column {
    grid-column-start: 1;
    grid-column-end: 13;
  }
}

@media screen and (min-width: 992px) and (max-width: 1199.98px) {
  .article-comp-column {
    grid-column-start: 5;
    grid-column-end: 9;
  }
}

@media screen and (min-width: 1200px) {
  .article-comp-column {
    grid-column-start: 5;
    grid-column-end: 9;
  }
}

.article-story {
  color: #EAEAEA;
}

.article-comp-column p {
  margin: 0 0 15px 0;
}

.article-column-break {
  text-align: center;
  margin: 20px 0;
}

.article-column-break img {
  height: 12px;
  width: auto;
}

.article-comp-column-img {
  margin: 50px 0;
}

@media screen and (max-width: 574.98px) {
  .article-comp-column-img {
    display: block;
  }
}

@media screen and (min-width: 575px) and (max-width: 767.98px) {
  .article-comp-column-img {
    display: block;
  }
}

@media screen and (min-width: 768px) and (max-width: 991.98px) {
  .article-comp-column-img {
    display: block;
  }
}

@media screen and (min-width: 992px) and (max-width: 1199.98px) {
  .article-comp-column-img {
    display: none;
  }
}

@media screen and (min-width: 1200px) {
  .article-comp-column-img {
    display: none;
  }
}

.article-comp-img-left, .article-comp-img-right {
  grid-row-start: 1;
  grid-row-end: 1;
}

@media screen and (max-width: 574.98px) {
  .article-comp-img-left, .article-comp-img-right {
    display: none;
  }
}

@media screen and (min-width: 575px) and (max-width: 767.98px) {
  .article-comp-img-left, .article-comp-img-right {
    display: none;
  }
}

@media screen and (min-width: 768px) and (max-width: 991.98px) {
  .article-comp-img-left, .article-comp-img-right {
    display: none;
  }
}

@media screen and (min-width: 992px) and (max-width: 1199.98px) {
  .article-comp-img-left, .article-comp-img-right {
    display: block;
  }
}

@media screen and (min-width: 1200px) {
  .article-comp-img-left, .article-comp-img-right {
    display: block;
  }
}

.article-comp-img-left {
  grid-column-start: 1;
  grid-column-end: 4;
}

.article-comp-img-right {
  grid-column-start: 10;
  grid-column-end: 13;
}

.article-comp img, .article-comp-column-img img {
  width: 100%;
}

.article-credits {
  margin-top: 20px;
}

#footer-content {
  width: 100vw;
  max-width: 1200px;
  margin: 0 auto;
  padding: 50px 0 100px 0;
  font-family: 'Sentient', 'Times New Roman', Times, serif;
  font-weight: 300;
  font-size: 0.9rem;
  color: #4f4f4f;
  text-align: center;
}

#footer-content a {
  color: #4f4f4f;
  text-decoration: underline;
}

#footer-content a:hover, #footer-content a:focus {
  color: #4f4f4f;
  text-decoration: none;
}
